Subject: bug#59183: 29.0.50; emacs_abort () at sysdep.c:2313

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Jan 2023 15:58:21 -0500

> My apologies.  I missed the CC to the list and I should have provided
> actual links to the patches/commits.  I'm currently running from this
> commit 29a8a1885d9[0] (see here[1] for more details of the environment),
> which should include the patch[2] you mentioned in this thread[3].

Are you sure you're running from that commit?

>>> 2023-01-23 19:35:22 Detected nested iteration!
>>> 2023-01-23 19:35:22 Outer: textprop.c:647
>>> 2023-01-23 19:35:22 Inner: buffer.c:2982

AFAICT the string "Detected nested iteration" is nowhere to be found in
that commit, so my crystal ball suspects you're not running the Emacs
binary you think you're running.

        Stefan